## org.apache.lucene.queryparser.xml.builders
Class LikeThisQueryBuilder

    java.lang.Object
      org.apache.lucene.queryparser.xml.builders.LikeThisQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class LikeThisQueryBuilder

extends Object
implements QueryBuilder

Builder for `MoreLikeThisQuery`

Constructor Summary
`LikeThisQueryBuilder(Analyzer analyzer, String[] defaultFieldNames)`

Method Summary
`Query` `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LikeThisQueryBuilder

    public LikeThisQueryBuilder(Analyzer analyzer,
                                String[] defaultFieldNames)

Method Detail

### getQuery

    public Query getQuery(Element e)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.